Package org.apache.tomcat.jdbc.pool

## Interface PooledConnectionMBean

All Known Implementing Classes:
  `PooledConnection`

    public interface PooledConnectionMBean

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `clearWarnings()`
`boolean` `getAutoCommit()`
`java.lang.String` `getCatalog()`
`long` `getConnectionVersion()`
`int` `getHoldability()`
`long` `getLastConnected()`
`long` `getLastValidated()`
`java.lang.String` `getSchema()`
`long` `getTimestamp()`
`int` `getTransactionIsolation()`
`boolean` `isClosed()`
`boolean` `isDiscarded()`
`boolean` `isInitialized()`
`boolean` `isMaxAgeExpired()`
`boolean` `isReadOnly()`
`boolean` `isReleased()`
`boolean` `isSuspect()`

### Method Detail

#### getConnectionVersion

    long getConnectionVersion()

#### isInitialized

    boolean isInitialized()

#### isMaxAgeExpired

    boolean isMaxAgeExpired()

#### isSuspect

    boolean isSuspect()

#### getTimestamp

    long getTimestamp()

#### isDiscarded

    boolean isDiscarded()

#### getLastValidated

    long getLastValidated()

#### getLastConnected

    long getLastConnected()

#### isReleased

    boolean isReleased()

#### clearWarnings

    void clearWarnings()

#### isClosed

    boolean isClosed()
              throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getAutoCommit

    boolean getAutoCommit()
                   throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getCatalog

    java.lang.String getCatalog()
                         throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getHoldability

    int getHoldability()
                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### isReadOnly

    boolean isReadOnly()
                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getSchema

    java.lang.String getSchema()
                        throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getTransactionIsolation

    int getTransactionIsolation()
                         throws java.sql.SQLException

Throws:
  `java.sql.SQLException`